# r621
A simple e621 client using requwest.  

<a href="https://ko-fi.com/dhalucario" target="_blank">
  <img height="35" style="border:0px;height:46px;" src="https://az743702.vo.msecnd.net/cdn/kofi3.png?v=0" alt="Buy Me a Coffee at ko-fi.com" />
</a>

If you would like to contact me you can reach me via [Telegram](https://t.me/yesthisiscario)

## Features

### Implemented
- Post
  - Listing

### Missing
- Post
  - Create
  - Update
  - Flag
  - Vote
  - Favorite
- Favorites
  - Listing
  - Create
  - Delete
- Tags
  - Listing
- Tag Aliases
  - Listing
- Tag Implications
  - Listing
- Notes
  - Listing
  - Create
  - Update
- Pools
  - Listing
  - Create
  - Update
  - Revert

## Example Usage

```rust
use r621::client::{Authentication, Client};
use r621::post::Post;

#[tokio::main]
async fn main() -> Result<(), Box<dyn std::error::Error>> {
    let user_agent = "MyProject/1.0 (by username on e621)";
    let auth = Authentication::Authorized {
        username: "hexerade",
        apikey: "1nHrmzmsvJf26EhU1F7CjnjC"
    };
    
    let mut esix_client = Client::new(auth, user_agent);
    let posts = esix_client.list_posts(None, query, None).await?;
}
```